package main

import (
	"log"
	"os/exec"
)

func sendEtherWake(mac string) {
	var args []string
	args = append(args, mac)
	args = append(args, "-i")
	args = append(args, "eno1")
	var cmd *exec.Cmd = exec.Command("./etherwake", args...)
	var err error = cmd.Run()
	if err != nil {
		log.Printf("sendEtherWake(%s) -> %v\n", mac, err)
		log.Println(cmd.String())
	}
}
